#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	vala		# do not build Vala API

Summary:	Framework for access to sources of multimedia content
Summary(pl.UTF-8):	Szkielet dostępu do źródeł treści multimedialnych
Name:		grilo
Version:	0.3.13
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo/0.3/%{name}-%{version}.tar.xz
# Source0-md5:	737b76fc194878eac2ca45a78175aa9f
URL:		https://wiki.gnome.org/Projects/Grilo
BuildRequires:	glib2-devel >= 1:2.58.0
BuildRequires:	gobject-introspection-devel >= 0.9
BuildRequires:	gtk+3-devel >= 3.14
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	liboauth-devel
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	totem-pl-parser-devel >= 3.4.1
%{?with_vala:BuildRequires:	vala >= 2:0.27.0}
BuildRequires:	xz
Requires:	glib2 >= 1:2.58.0
Requires:	gtk+3 >= 3.14
Requires:	libsoup >= 2.42.0
Requires:	totem-pl-parser >= 3.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grilo is a framework that provides access to various sources of
multimedia content, using a pluggable system.

%description -l pl.UTF-8
Grilo to szkielet zapewniający dostęp do różnych źródeł treści
multimedialnych przy użyciu systemu wtyczek.

%package devel
Summary:	Header files for grilo libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek grilo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.58.0
Requires:	libxml2-devel >= 2.0
Obsoletes:	grilo-static

%description devel
Header files for grilo libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek grilo.

%package apidocs
Summary:	grilo API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek grilo
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for grilo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki grilo.

%package -n vala-grilo
Summary:	Vala API for grilo libraries
Summary(pl.UTF-8):	API języka Vala do bibliotek grilo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16.0
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description -n vala-grilo
Vala API for grilo libraries.

%description -n vala-grilo -l pl.UTF-8
API języka Vala do bibliotek grilo.

%prep
%setup -q

%build
%meson build \
	%{?with_apidocs:-Denable-gtk-doc=true} \
	%{?without_vala:-Denable-vala=false}
%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/grilo-test-ui-0.3
%attr(755,root,root) %{_bindir}/grl-inspect-0.3
%attr(755,root,root) %{_bindir}/grl-launch-0.3
%attr(755,root,root) %{_libdir}/libgrilo-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrilo-0.3.so.0
%attr(755,root,root) %{_libdir}/libgrlnet-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrlnet-0.3.so.0
%attr(755,root,root) %{_libdir}/libgrlpls-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrlpls-0.3.so.0
%{_libdir}/girepository-1.0/Grl-0.3.typelib
%{_libdir}/girepository-1.0/GrlNet-0.3.typelib
%{_libdir}/girepository-1.0/GrlPls-0.3.typelib
%{_mandir}/man1/grilo-test-ui-0.3.1*
%{_mandir}/man1/grl-inspect-0.3.1*
%{_mandir}/man1/grl-launch-0.3.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgrilo-0.3.so
%attr(755,root,root) %{_libdir}/libgrlnet-0.3.so
%attr(755,root,root) %{_libdir}/libgrlpls-0.3.so
%{_includedir}/grilo-0.3
%{_pkgconfigdir}/grilo-0.3.pc
%{_pkgconfigdir}/grilo-net-0.3.pc
%{_pkgconfigdir}/grilo-pls-0.3.pc
%{_datadir}/gir-1.0/Grl-0.3.gir
%{_datadir}/gir-1.0/GrlNet-0.3.gir
%{_datadir}/gir-1.0/GrlPls-0.3.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/grilo
%endif

%if %{with vala}
%files -n vala-grilo
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/grilo-0.3.deps
%{_datadir}/vala/vapi/grilo-0.3.vapi
%{_datadir}/vala/vapi/grilo-net-0.3.deps
%{_datadir}/vala/vapi/grilo-net-0.3.vapi
%endif
%changelog
* Fri Sep 04 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grilo.git;a=log;h=master

* Fri Sep 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 96bfb5e
- updated to 0.3.13

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 52e4c19
- updated to 0.3.12

* Fri Jan 10 2020 Jakub Bogusz <qboosh@pld-linux.org> a74e4d7
- updated to 0.3.11

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 878d3fa
- updated to 0.3.10

* Wed Jul 24 2019 Jakub Bogusz <qboosh@pld-linux.org> a91e385
- updated to 0.3.9

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> a513099
- updated URL

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> eb9d909
- Obsoletes for -static

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> e4077c5
- updated dependencies after switching to meson

* Wed Jan 30 2019 Jan Rękorajski <baggins@pld-linux.org> ac11e11
- release 2 (by relup.sh)

* Sun Jan 20 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> e66622c
- Updated to 0.3.7

* Sun Mar 25 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 05826d7
- Update to 0.3.4

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 9c54a2d
- updated to 0.3.3

* Sat Jan 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 9a4533e
- updated to 0.3.2

* Fri Jun 17 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ed35f17
- Update to 0.3.1

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 8ade561
- noarch vala subpackage

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f76d548
- Update to 0.3.0

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 5acb97c
- updated to 0.2.15

* Mon Oct 19 2015 Jakub Bogusz <qboosh@pld-linux.org> a000cba
- updated to 0.2.14

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 1845564
- updated to 0.2.12

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> d18ac1f
- updated to 0.2.11

